'use strict'

exports.__esModule = true
exports.checkGraphQLValidationRules = void 0

var _createHttpError = require('./createHttpError.js')

const checkGraphQLValidationRules = (rules, errorMessagePrefix) => {
  if (!Array.isArray(rules))
    throw (0, _createHttpError.createHttpError)(
      `${errorMessagePrefix} GraphQL validation rules must be an array.`
    )
  if (rules.some(rule => typeof rule !== 'function'))
    throw (0, _createHttpError.createHttpError)(
      `${errorMessagePrefix} GraphQL validation rules must be functions.`
    )
}

exports.checkGraphQLValidationRules = checkGraphQLValidationRules
