import { createHttpError } from './createHttpError.mjs'
export const checkGraphQLValidationRules = (rules, errorMessagePrefix) => {
  if (!Array.isArray(rules))
    throw createHttpError(
      `${errorMessagePrefix} GraphQL validation rules must be an array.`
    )
  if (rules.some(rule => typeof rule !== 'function'))
    throw createHttpError(
      `${errorMessagePrefix} GraphQL validation rules must be functions.`
    )
}
