'use strict'

exports.__esModule = true
exports.checkOptions = void 0

var _createHttpError = require('./createHttpError.js')

var _isEnumerableObject = require('./isEnumerableObject.js')

const checkOptions = (options, allowedKeys, errorMessagePrefix) => {
  if (!(0, _isEnumerableObject.isEnumerableObject)(options))
    throw (0, _createHttpError.createHttpError)(
      `${errorMessagePrefix} options must be an enumerable object.`
    )
  const invalid = Object.keys(options).filter(
    option => !allowedKeys.includes(option)
  )
  if (invalid.length)
    throw (0, _createHttpError.createHttpError)(
      `${errorMessagePrefix} options invalid: \`${invalid.join('`, `')}\`.`
    )
}

exports.checkOptions = checkOptions
