import { createHttpError } from './createHttpError.mjs'
import { isEnumerableObject } from './isEnumerableObject.mjs'
export const checkOptions = (options, allowedKeys, errorMessagePrefix) => {
  if (!isEnumerableObject(options))
    throw createHttpError(
      `${errorMessagePrefix} options must be an enumerable object.`
    )
  const invalid = Object.keys(options).filter(
    option => !allowedKeys.includes(option)
  )
  if (invalid.length)
    throw createHttpError(
      `${errorMessagePrefix} options invalid: \`${invalid.join('`, `')}\`.`
    )
}
